package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.CommonMenu;
import org.springblade.system.expand.vo.CommonMenuVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CommonMenuClientFallback implements ICommonMenuClient {
            /**
         * 详情
         */
        @Override
        public CommonMenuVO detail(CommonMenu commonMenu) {
            return null;
        }

        /**
         * 查询 常用菜单
         */
        @Override
        public List<CommonMenuVO> list(CommonMenu commonMenu) {
            return null;
        }

    

        /**
         * 新增 常用菜单
         */
        @Override
        public boolean save( CommonMenu commonMenu) {
            return false;
        }

        /**
         * 修改 常用菜单
         */
        @Override
        public boolean update( CommonMenu commonMenu) {
            return false;
        }

        /**
         * 新增或修改 常用菜单
         */
        @Override
        public boolean submit( CommonMenu commonMenu) {
            return false;
        }

    
        /**
         * 删除 常用菜单
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
